/*
 * @Author: your name
 * @Date: 2021-09-18 16:06:51
 * @LastEditTime: 2021-12-06 13:46:48
 * @LastEditors: Please set LastEditors
 * @Description: 表格的配置
 * @FilePath: \hyyfClient\src\views\BioSafety\personAdmin\table.config.js
 */
// export const titles = ['车辆档案', '门禁记录', '设备列表']
export const titles = ['车辆档案记录', '车辆通行记录', '车辆洗消记录', "车辆烘干记录", '白名单记录', '黑名单记录']

const tableItems1 = [
  {
    prop: 'carId',
    label: '车辆编号',
    minWidth: '120',
    slotName: 'carId'
  },
  // {
  //   prop: '',
  //   label: '车辆图片',
  //   minWidth: '120',
  //   slotName: ''
  // }
  {
    prop: 'carNum',
    label: '车牌号',
    minWidth: '120',
    slotName: 'carNum'
  },
  {
    label: '操作',
    minWidth: '120',
    slotName: 'handle'
  }

]
const tableItems2 = [
  {
    prop: 'capTimeStr',
    label: '时间',
    minWidth: '120',
    slotName: 'capTimeStr'
  },
  {
    prop: 'originalPicPath',
    label: '车辆图片',
    minWidth: '150',
    slotName: 'originalPicPath'
  },
  {
    prop: 'carDirectStr',
    label: '方向',
    minWidth: '150',
    slotName: 'carDirectStr'
  },
  {
    prop: 'devChnName',
    label: '区域',
    minWidth: '150',
    slotName: 'devChnName'
  },
  {
    prop: 'carNum',
    label: '车牌号',
    minWidth: '150',
    slotName: 'carNum'
  },
  {
    prop: 'parkingCarColor',
    label: '车辆颜色',
    minWidth: '150',
    slotName: 'parkingCarColor'
  },
  {
    prop: 'parkingLot',
    label: '所属停车场',
    minWidth: '150',
    slotName: 'parkingLot'
  },
  {
    label: '操作',
    minWidth: '120',
    slotName: 'carHandle'
  }
]

const tableItems3 = [
  {
    prop: 'alarmDate',
    label: '时间',
    minWidth: '150',
    slotName: 'alarmDate'
  },
  {
    prop: 'alarmPosition',
    label: '地点',
    minWidth: '100',
    slotName: 'alarmPosition'
  },
  {
    prop: 'alarmPicture',
    label: '车辆图片',
    minWidth: '150',
    slotName: 'alarmPicture'
  },
  {
    prop: 'alarmTypeName',
    label: '类型',
    minWidth: '150',
    slotName: 'alarmTypeName'
  },
  {
    label: '操作',
    minWidth: '150',
    slotName: 'handler'
  }
]

const tableItems4 = [
  {
    prop: 'eventTime',
    label: '发生时间',
    minWidth: '150',
    slotName: 'eventTime'
  },
  {
    prop: 'location',
    label: '发生地点',
    minWidth: '150',
    slotName: 'location'
  },
  {
    label: '操作',
    minWidth: '150',
    slotName: 'handlerDrying'
  }
]

const tableItems5 = [
  {
    prop: 'carId',
    label: '车辆编号',
    minWidth: '120',
    slotName: 'carId'
  },
  {
    prop: 'carNum',
    label: '车牌号',
    minWidth: '120',
    slotName: 'carNum'
  },
  {
    label: '操作',
    minWidth: '120',
    slotName: 'whiteHandle'
  }
];

const tableItems6 = [
  {
    prop: 'carId',
    label: '车辆编号',
    minWidth: '120',
    slotName: 'carId'
  },
  {
    prop: 'carNum',
    label: '车牌号',
    minWidth: '120',
    slotName: 'carNum'
  },
  {
    label: '操作',
    minWidth: '120',
    slotName: 'blackHandle'
  }
];
export const tableItems = [tableItems1, tableItems2, tableItems3, tableItems4, tableItems5, tableItems6]

export const tableShows = {
  showIndex: false, showSelect: false
}
