/*
 * @Author: your name
 * @Date: 2021-09-18 15:19:29
 * @LastEditTime: 2021-12-21 10:01:09
 * @LastEditors: Please set LastEditors
 * @Description: 筛选条件的 formItems 和 propFormData
 * @FilePath: \hyyfClient\src\views\BioSafety\personAdmin\queryCondition.config.js
 */
import { timeDate } from '../../../utils/index'

const formItems1 = [
  {
    type: 'select',
    label: '部门：',
    placeholder: '请选择部门',
    field: 'departmentId',
    options: [
      {
        value: 4,
        label: '维修部门'
      },
      {
        value: 2,
        label: '技术部门'
      },
      {
        value: 5,
        label: '基层部门'
      }
    ]
  }
]

const propFormData1 = {
  departmentId: 5
}

const formItems2 = [
  {
    type: 'input',
    label: '输入搜索：',
    placeholder: '请输入姓名',
    field: 'name'
  },
  {
    type: 'datepicker',
    label: '时间：',
    placeholder: ['开始时间', '结束时间'],
    field: 'time',
  }
]

const propFormData2 = {
  name: '',
  time: [timeDate(new Date().getTime()), timeDate(new Date().getTime())]
}

const formItems3 = [
  {
    type: 'input',
    label: '输入搜索：',
    placeholder: '请输入姓名',
    field: 'name'
  },
  {
    type: 'select',
    label: '区域：',
    placeholder: '请选择区域',
    field: 'region',
    options: []
  }
]

const propFormData3 = {
  name: '',
  region: ''
}

export const formItems = [formItems1, formItems2, formItems3]
export const propFormData = [propFormData1, propFormData2, propFormData3]
