/*
 * @Author: your name
 * @Date: 2021-09-18 16:06:51
 * @LastEditTime: 2021-12-22 17:41:01
 * @LastEditors: Please set LastEditors
 * @Description: 表格的配置
 * @FilePath: \hyyfClient\src\views\BioSafety\personAdmin\table.config.js
 */
export const titles = ['人员列表', '门禁记录', '人员列表']

const tableItems1 = [
  {
    prop: 'code',
    label: '编号',
    minWidth: '100',
    slotName: 'code'
  },
  {
    prop: 'personBiosignatures',
    label: '人员图片',
    minWidth: '150',
    slotName: 'personBiosignatures'
  },
  {
    prop: 'name',
    label: '姓名',
    minWidth: '150',
    slotName: 'name'
  },
  {
    prop: 'sex',
    label: '性别',
    minWidth: '150',
    slotName: 'sex'
  },
  {
    prop: 'departmentName',
    label: '所属部门',
    minWidth: '150',
    slotName: 'departmentName'
  },
  {
    prop: 'status',
    label: '人员状态',
    minWidth: '100',
    slotName: 'status'
  },
  {
    label: '操作',
    minWidth: '100',
    slotName: 'handler'
  }
]

const tableItems2 = [
  {
    prop: 'swingTime',
    label: '时间',
    minWidth: '120',
    slotName: 'swingTime'
  },
  {
    prop: 'recordImage',
    label: '人员图片',
    minWidth: '150',
    slotName: 'recordImage'
  },
  {
    prop: 'personName',
    label: '姓名',
    minWidth: '120',
    slotName: 'personName'
  },
  {
    prop: 'channelName',
    label: '进入区域',
    minWidth: '120',
    slotName: 'channelName'
  }
]

const tableItems3 = [
  {
    prop: 'photo',
    label: '人员图片',
    minWidth: '150',
    slotName: 'photo'
  },
  {
    prop: 'name',
    label: '姓名',
    minWidth: '150',
    slotName: 'name'
  },
  {
    prop: 'location',
    label: '位置',
    minWidth: '150',
    slotName: 'location'
  },
  {
    prop: 'region',
    label: '负责区域',
    minWidth: '150',
    slotName: 'region'
  },
  {
    label: '操作',
    minWidth: '150',
    slotName: 'handler'
  }
]

export const tableItems = [tableItems1, tableItems2, tableItems3]

export const tableShows = {
  showIndex: false, showSelect: false
}
