/*
 * @Author: your name
 * @Date: 2021-12-08 09:47:30
 * @LastEditTime: 2021-12-09 16:13:06
 * @LastEditors: Please set LastEditors
 * @Description: 设备详情 - 表格参数
 * @FilePath: \hyyfClient\src\views\DeviceMana\device\table.config.js
 */
export const tableData = {
  title: "设备列表",
  shows: {
    showIndex: false,
    showSelect: true,
  },
  tableItems: [
    {
      prop: "deviceName",
      label: "设备名称",
      minWidth: 100,
      slotName: "deviceName",
    },
    {
      prop: "deviceCode",
      label: "设备编号",
      minWidth: 100,
      slotName: "deviceCode",
    },
    {
      prop: "deviceType",
      label: "型号",
      minWidth: 100,
      slotName: "deviceType",
    },
    {
      prop: "factory",
      label: "厂家",
      minWidth: 100,
      slotName: "factory",
    },
    {
      prop: "worker",
      label: "维保人",
      minWidth: 100,
      slotName: "worker",
    },
    {
      prop: "mainParams",
      label: "基本参数",
      minWidth: 120,
      slotName: "mainParams",
    },
    {
      prop: "state",
      label: "状态",
      minWidth: 120,
      slotName: "state",
    },
    {
      prop: "record",
      label: "维修记录",
      minWidth: 120,
      slotName: "record",
    },
    {
      label: "操作",
      minWidth: 120,
      slotName: "handler",
    },
  ],
  height: 470,
}
